spring:
  datasource:
    name: druidDataSource
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      lantone:
        driver-class-name: com.mysql.jdbc.Driver
        url: jdbc:mysql://192.168.2.121:3306/qc?useUnicode=true&characterEncoding=utf8
        username: root
        password: QuGDHNG35r
        initial-size: 8
        min-idle: 1
        max-active: 20
        max-wait: 60000
        time-between-eviction-runsMillis: 60000
        min-evictable-idle-timeMillis: 300000
        validation-query: select 'x' FROM DUAL
        test-while-idle: true
        test-on-borrow: false
        test-on-return: false
        pool-prepared-statements: true
        max-open-prepared-statements: 20
        max-pool-prepared-statement-per-connection-size: 20
        filters: stat
        connection-properties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
        use-global-data-source-stat: true
  redis:
    database: 10
    host: 192.168.2.121
    port: 6379
    password: lantone
    timeout: 2000
    lettuce:
      pool:
        max-active: 8
        min-idle: 0
        max-wait: -1ms
        max-idle: 8

mybatis-plus:
  type-aliases-package: com.lantone.qc.dbanaly.lt.entity
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

xml-is-encryped: true